Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_TypedEvent Class Reference

Defines the operation and args list for the TypedEvent. More...

`#include <CEC_TypedEvent.h>`

Collaboration diagram for TAO_CEC_TypedEvent:

[legend]
List of all members.

## Public Methods
| TAO_CEC_TypedEvent (void)
| constructors...
| TAO_CEC_TypedEvent (CORBA::NVList_ptr list, const char *operation)
TAO_CEC_TypedEvent & | operator= (const TAO_CEC_TypedEvent &)
## Private Attributes
CORBA::NVList_ptr | list_
CORBA::String_var | operation_
## Friends
class | TAO_CEC_ProxyPushSupplier
| Only the ProxyPushSupplier can read the private fields.

## Detailed Description

Defines the operation and args list for the TypedEvent.

Used to store the TypedEvent as it is passed from the supplier side to the consumer side, in the TypedEventChannel.

## Constructor & Destructor Documentation

ACE_INLINE TAO_CEC_TypedEvent::TAO_CEC_TypedEvent | ( | void |  | ) |

| constructors...

ACE_INLINE TAO_CEC_TypedEvent::TAO_CEC_TypedEvent | ( | CORBA::NVList_ptr | list,
|  | const char * | operation
| ) |

## Member Function Documentation

ACE_INLINE TAO_CEC_TypedEvent & TAO_CEC_TypedEvent::operator= | ( | const TAO_CEC_TypedEvent & |  | ) |

## Friends And Related Function Documentation

friend class TAO_CEC_ProxyPushSupplier`[friend]`

| Only the ProxyPushSupplier can read the private fields.

## Member Data Documentation

CORBA::NVList_ptr TAO_CEC_TypedEvent::list_`[private]`

CORBA::String_var TAO_CEC_TypedEvent::operation_`[private]`

The documentation for this class was generated from the following files:

- CEC_TypedEvent.h
- CEC_TypedEvent.i